curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Industry",
"type": "dropdown",
"options": {
"choices": [
"Retail",
"Wholesale",
"DTC"
],
"minLength": 0,
"maxLength": 255,
"helpText": "Choose the primary sales channel"
},
"category": "Merchandising",
"object_types": [
"companies",
"products"
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields"
payload = {
"label": "Industry",
"type": "dropdown",
"options": {
"choices": ["Retail", "Wholesale", "DTC"],
"minLength": 0,
"maxLength": 255,
"helpText": "Choose the primary sales channel"
},
"category": "Merchandising",
"object_types": ["companies", "products"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'Industry',
type: 'dropdown',
options: {
choices: ['Retail', 'Wholesale', 'DTC'],
minLength: 0,
maxLength: 255,
helpText: 'Choose the primary sales channel'
},
category: 'Merchandising',
object_types: ['companies', 'products']
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"label": "Industry",
"type": "dropdown",
"object_types": [
"companies",
"products"
],
"options": {
"choices": [
"Retail",
"Wholesale",
"DTC"
],
"minLength": 0,
"maxLength": 255,
"helpText": "Choose the primary sales channel"
},
"category": "Merchandising",
"created_at": "2026-04-20T14:30:00Z",
"updated_at": "2026-04-20T14:30:00Z"
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"message": "<string>",
"errors": {}
}Create a custom field definition
Create a new custom field definition.
Dropdown fields (type: dropdown or type: multi_dropdown) require a
non-empty options.choices array. A multi_dropdown field accepts multiple
selected values (stored and returned as an array); a dropdown accepts a
single value.
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
Display label for the custom field. Must be unique across definitions.
255"Industry"
Data type of the custom field. multi_dropdown allows selecting multiple
values from the choices list (values are stored as an array).
number, date, string, dropdown, multi_dropdown "dropdown"
Optional configuration for the field. Required when type is dropdown
or multi_dropdown (must include a non-empty choices array).
Show child attributes
Show child attributes
Optional free-text category label used to group custom field definitions (e.g. for SKU grouping in the UI).
255"Merchandising"
Entity types this custom field applies to. On update this field is
required — pass an empty array to unlink all entity types.
Accepted values include logical names like sales-orders, sales-order-items,
invoices, products, companies, purchase-orders, etc. (matches the set
accepted by the internal morph-type resolver).
["companies", "products"]
Response
Custom field definition successfully created
Show child attributes
Show child attributes